#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform float factor;
uniform float alphaThreshold;


void main()
{

	vec4 normal = texture2D(CC_Texture0, v_texCoord); //Get current pos color
	//alphaThreshold = alphaThreshold <= 0.0 ? 0.9 : alphaThreshold;
	if(normal.a > alphaThreshold){
		normal.r += factor * normal.a;
		normal.g += factor * normal.a;
		normal.b += factor * normal.a;
	}

	gl_FragColor = normal;
}
